# $reguser.matchProperty Returns a property of an entry in the registered user database
Usage
    $reguser.matchProperty(<user_mask>,<property_name>)
Description
Returns the value of the property identified by <property_name> and bound to the first entry matched by by <user_mask>. If the property is not set, an empty string is returned. If no entry matches <user_mask> this function returns an empty string and does not print any error.
        %property = $reguser.matchProperty(<user_mask>,<property_name>)
Is actually a shortcut for:
        %tmp = $reguser.match(<user_mask>)
        if("%tmp" != "")%property = $reguser.property(%tmp,<property_name>)
Syntax Specification
    $reguser.matchProperty(<user_mask>,<property_name>)
See also
registered users database interface, registered users database, reguser.add, reguser.remove, reguser.addmask, $reguser.list, $reguser.match, $reguser.property

Index, Functions

KVIrc 3.4.2 Documentation
Generated by ports-i386 at Sun Mar 7 07:08:54 2010